Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# EggVertexAux Class Reference

The set of named auxiliary data that may or may not be assigned to a vertex. More...

Inheritance diagram for EggVertexAux:

List of all members.

## Public Member Functions
| EggVertexAux (EggVertexAux const copy)
| EggVertexAux (string name, VBase4D const aux)
int | compareTo (EggVertexAux const other)
| An ordering operator to compare two vertices for sorting order.
VBase4D const | getAux ()
| Returns the auxiliary data quadruple.
EggVertexAux | operator= (EggVertexAux const copy)
| setAux (VBase4D const aux)
| Sets the auxiliary data quadruple.
| setName (string name)
| write (ostream out, int indent_level)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

The set of named auxiliary data that may or may not be assigned to a vertex.

Panda will import this data and create a custom column for it in the vertex data, but will not otherwise interpret it. Presumably, a shader will process the data later.

## Constructor & Destructor Documentation

EggVertexAux | ( | EggVertexAux const | copy | ) |

EggVertexAux | ( | string | name,
|  | VBase4D const | aux
| ) |  |

## Member Function Documentation

int compareTo | ( | EggVertexAux const | other | ) |

An ordering operator to compare two vertices for sorting order.

This imposes an arbitrary ordering useful to identify unique vertices.

VBase4D const getAux | ( |  | ) |

Returns the auxiliary data quadruple.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from EggNamedObject.

EggVertexAux operator= | ( | EggVertexAux const | copy | ) |

setAux | ( | VBase4D const | aux | ) |

Sets the auxiliary data quadruple.

setName | ( | string | name | ) |

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties